Package ghidra.app.util.bin.format.pe

# Enum Class PortableExecutable.SectionLayout

java.lang.Object
java.lang.Enum<PortableExecutable.SectionLayout>
ghidra.app.util.bin.format.pe.PortableExecutable.SectionLayout

All Implemented Interfaces:
  `Serializable`, `Comparable<PortableExecutable.SectionLayout>`, `Constable`

Enclosing class:
  PortableExecutable

public static enum PortableExecutable.SectionLayout extends Enum<PortableExecutable.SectionLayout>
Indicates how sections of this PE are laid out in the underlying ByteProvider. Use `FILE` when loading from a file, and `MEMORY` when loading from a memory model (like an already-loaded program in Ghidra).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FILE`
  Indicates the sections of this PE are laid out as stored in a file.
  `MEMORY`
  Indicates the sections of this PE are laid out as loaded into memory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PortableExecutable.SectionLayout`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PortableExecutable.SectionLayout[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILE

    public static final PortableExecutable.SectionLayout FILE
    Indicates the sections of this PE are laid out as stored in a file.

  - ### MEMORY

    public static final PortableExecutable.SectionLayout MEMORY
    Indicates the sections of this PE are laid out as loaded into memory

- ## Method Details

  - ### values

    public static PortableExecutable.SectionLayout[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PortableExecutable.SectionLayout valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null